Package be.fgov.ehealth.dics.protocol.v4

# Class StandardSubstanceNameCriterionType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.StandardSubstanceNameCriterionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class StandardSubstanceNameCriterionType extends Object implements Serializable

Java class for StandardSubstanceNameCriterionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StandardSubstanceNameCriterionType">
       <simpleContent>
         <extension base="<urn:be:fgov:ehealth:dics:core:v4:core>SearchStringType">
           <attribute name="Standard" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}StdSbstAllStandardsType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardSubstanceNameCriterionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getStandard()`
  Gets the value of the standard property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setStandard(String value)`
  Sets the value of the standard property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandardSubstanceNameCriterionType

    public StandardSubstanceNameCriterionType()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStandard

    public String getStandard()
    Gets the value of the standard property.
    Returns:
      possible object is `String`

  - ### setStandard

    public void setStandard(String value)
    Sets the value of the standard property.
    Parameters:
      `value` - allowed object is `String`